com.ihr.xbrl.util

## Class XBRLFileViewClass

- java.lang.Object
- - javax.swing.filechooser.FileView
  - - com.ihr.xbrl.util.XBRLFileViewClass

-     public class XBRLFileViewClass
      extends javax.swing.filechooser.FileView

  The Class XBRLFileViewClass.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.swing.filechooser.FileNameExtensionFilter` | `CSVFILEFILTER` The Constant CSVFILEFILTER.
    `static javax.swing.filechooser.FileNameExtensionFilter` | `EXCELFILEFILTER` The Constant EXCELFILEFILTER.
    `static javax.swing.filechooser.FileNameExtensionFilter` | `IXBRLINSTANCE` The Constant IXBRLINSTANCE.
    `static javax.swing.filechooser.FileNameExtensionFilter` | `XBRLDOCUMENTFILEFILTER` The Constant XBRLDOCUMENTFILEFILTER.
    `static javax.swing.filechooser.FileNameExtensionFilter` | `XBRLEFILEFILTER` The Constant XBRLEFILEFILTER.
    `static javax.swing.filechooser.FileNameExtensionFilter` | `XBRLFILEFILTER` The Constant XBRLFILEFILTER.
    `static XBRLFileViewClass` | `XBRLFILEVIEW` The xbrlfileview.
    `static javax.swing.filechooser.FileNameExtensionFilter` | `XBRLGENERICDOCUMENTFILEFILTER` The Constant XBRLGENERICDOCUMENTFILEFILTER.
    `static javax.swing.filechooser.FileNameExtensionFilter` | `XBRLREPORTSFILEFILTER` The Constant XBRLREPORTSFILEFILTER.
    `static javax.swing.filechooser.FileNameExtensionFilter` | `XBRLTFILEFILTER` The Constant XBRLTFILEFILTER.
    `static javax.swing.filechooser.FileNameExtensionFilter` | `XMLFILEFILTER` The Constant XMLFILEFILTER.
    `static javax.swing.filechooser.FileNameExtensionFilter` | `XSDFILEFILTER` The Constant XSDFILEFILTER.
    `static javax.swing.filechooser.FileNameExtensionFilter` | `ZIPFILEFILTER` The Constant ZIPFILEFILTER.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLFileViewClass()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.io.FilenameFilter` | `FilenameFilter(javax.swing.filechooser.FileNameExtensionFilter fileNameExtensionFilter)` Returns a FilenameFilter from an existing FileNameExtensionFilter.
    `java.lang.String` | `getTypeDescription(java.io.File f)`

    - ### Methods inherited from class javax.swing.filechooser.FileView

      `getDescription, getIcon, getName, isTraversable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLFILEFILTER

          public static final javax.swing.filechooser.FileNameExtensionFilter XMLFILEFILTER

      The Constant XMLFILEFILTER.

    - #### XSDFILEFILTER

          public static final javax.swing.filechooser.FileNameExtensionFilter XSDFILEFILTER

      The Constant XSDFILEFILTER.

    - #### XBRLFILEFILTER

          public static final javax.swing.filechooser.FileNameExtensionFilter XBRLFILEFILTER

      The Constant XBRLFILEFILTER.

    - #### XBRLDOCUMENTFILEFILTER

          public static final javax.swing.filechooser.FileNameExtensionFilter XBRLDOCUMENTFILEFILTER

      The Constant XBRLDOCUMENTFILEFILTER.

    - #### XBRLREPORTSFILEFILTER

          public static final javax.swing.filechooser.FileNameExtensionFilter XBRLREPORTSFILEFILTER

      The Constant XBRLREPORTSFILEFILTER.

    - #### IXBRLINSTANCE

          public static final javax.swing.filechooser.FileNameExtensionFilter IXBRLINSTANCE

      The Constant IXBRLINSTANCE.

    - #### XBRLGENERICDOCUMENTFILEFILTER

          public static final javax.swing.filechooser.FileNameExtensionFilter XBRLGENERICDOCUMENTFILEFILTER

      The Constant XBRLGENERICDOCUMENTFILEFILTER.

    - #### ZIPFILEFILTER

          public static final javax.swing.filechooser.FileNameExtensionFilter ZIPFILEFILTER

      The Constant ZIPFILEFILTER.

    - #### XBRLTFILEFILTER

          public static final javax.swing.filechooser.FileNameExtensionFilter XBRLTFILEFILTER

      The Constant XBRLTFILEFILTER.

    - #### EXCELFILEFILTER

          public static final javax.swing.filechooser.FileNameExtensionFilter EXCELFILEFILTER

      The Constant EXCELFILEFILTER.

    - #### CSVFILEFILTER

          public static final javax.swing.filechooser.FileNameExtensionFilter CSVFILEFILTER

      The Constant CSVFILEFILTER.

    - #### XBRLEFILEFILTER

          public static final javax.swing.filechooser.FileNameExtensionFilter XBRLEFILEFILTER

      The Constant XBRLEFILEFILTER.

    - #### XBRLFILEVIEW

          public static XBRLFileViewClass XBRLFILEVIEW

      The xbrlfileview.

  - ### Constructor Detail

    - #### XBRLFileViewClass

          public XBRLFileViewClass()

  - ### Method Detail

    - #### getTypeDescription

          public java.lang.String getTypeDescription(java.io.File f)

      Overrides:
        `getTypeDescription` in class `javax.swing.filechooser.FileView`

    - #### FilenameFilter

          public static java.io.FilenameFilter FilenameFilter(javax.swing.filechooser.FileNameExtensionFilter fileNameExtensionFilter)

      Returns a FilenameFilter from an existing FileNameExtensionFilter.
      Parameters:
        `fileNameExtensionFilter` - the file name extension filter
      Returns:
        new FileNameFilter